org.apache.cassandra.thrift

## Class Cassandra.AsyncProcessor.insert<I extends Cassandra.AsyncIface>

- java.lang.Object
- - org.apache.thrift.AsyncProcessFunction<I,Cassandra.insert_args,java.lang.Void>
  - - org.apache.cassandra.thrift.Cassandra.AsyncProcessor.insert<I>

Enclosing class:
  Cassandra.AsyncProcessor<I extends Cassandra.AsyncIface>

    public static class Cassandra.AsyncProcessor.insert<I extends Cassandra.AsyncIface>
    extends org.apache.thrift.AsyncProcessFunction<I,Cassandra.insert_args,java.lang.Void>

### Constructor Summary

Constructors
Constructor and Description
`insert()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Cassandra.insert_args` `getEmptyArgsInstance()`
`org.apache.thrift.async.AsyncMethodCallback<java.lang.Void>` `getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb, int seqid)`
`protected boolean` `isOneway()`
`void` `start(I iface, Cassandra.insert_args args, org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)`

### Methods inherited from class org.apache.thrift.AsyncProcessFunction

`getMethodName, sendResponse`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### insert

    public insert()

### Method Detail

#### getEmptyArgsInstance

    public Cassandra.insert_args getEmptyArgsInstance()

Specified by:
  `getEmptyArgsInstance` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.insert_args,java.lang.Void>`

#### getResultHandler

    public org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> getResultHandler(org.apache.thrift.server.AbstractNonblockingServer.AsyncFrameBuffer fb,
                                                                                        int seqid)

Specified by:
  `getResultHandler` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.insert_args,java.lang.Void>`

#### isOneway

    protected boolean isOneway()

Specified by:
  `isOneway` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.insert_args,java.lang.Void>`

#### start

    public void start(I iface,
                      Cassandra.insert_args args,
                      org.apache.thrift.async.AsyncMethodCallback<java.lang.Void> resultHandler)
               throws org.apache.thrift.TException

Specified by:
  `start` in class `org.apache.thrift.AsyncProcessFunction<I extends Cassandra.AsyncIface,Cassandra.insert_args,java.lang.Void>`
Throws:
  `org.apache.thrift.TException`